---
title: "Gets the processed collected assets for the specified collectionId and transportOrderId."
url: "https://developer.tesma.com/apis/tesma-platform-api-v1/versions/333907fb-f0a7-4e20-b01e-c9915c73321a/paths/v1-collections-collectionId---transportOrderId--processedassets/get"
---

> Full API specification: https://developer.tesma.com/apis/tesma-platform-api-v1/versions/333907fb-f0a7-4e20-b01e-c9915c73321a.md

# Gets the processed collected assets for the specified collectionId and transportOrderId.

`GET` `/v1/collections/{collectionId}/{transportOrderId}/processedassets`

## Path parameters

- `collectionId` (integer, int32, required)
- `transportOrderId` (integer, int32, required)

## Query parameters

- `loadOptions` (object, optional)

## Header parameters

- `CorporateGroup-Name` (string, optional) - Corporate group key that assigns the currently selected corporate group to the request.

## Responses

- `200` - OK
- `400` - Bad Request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Not Found

## OpenAPI definition

```yaml
openapi: 3.1.1
info:
  title: tesma
  version: v1
servers:
  - url: https://api.tesma.com
paths:
  /v1/collections/{collectionId}/{transportOrderId}/processedassets:
    get:
      parameters:
        - description: ""
          in: path
          name: collectionId
          required: true
          schema:
            format: int32
            minimum: 1
            type: integer
        - description: ""
          in: path
          name: transportOrderId
          required: true
          schema:
            format: int32
            minimum: 1
            type: integer
        - description: ""
          in: query
          name: loadOptions
          schema:
            $ref: "#/components/schemas/TesmaLoadOptions"
        - description: Corporate group key that assigns the currently selected corporate
            group to the request.
          in: header
          name: CorporateGroup-Name
          schema:
            type: string
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/TesmaLoadResult_CollectedAssetResponse"
          description: OK
        "400":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ValidationProblemDetails"
          description: Bad Request
        "401":
          description: Unauthorized
        "403":
          description: Forbidden
        "404":
          description: Not Found
      summary: Gets the processed collected assets for the specified collectionId and
        transportOrderId.
      tags:
        - CollectedAssets
security:
  - PersonalAccessToken: []
components:
  schemas:
    TesmaLoadOptions:
      additionalProperties: false
      properties:
        filter:
          items: {}
          type:
            - "null"
            - array
        group:
          items:
            $ref: "#/components/schemas/GroupingInfo"
          type:
            - "null"
            - array
        groupSummary:
          items:
            $ref: "#/components/schemas/SummaryInfo"
          type:
            - "null"
            - array
        isCountQuery:
          type: boolean
        requireGroupCount:
          type: boolean
        requireTotalCount:
          type: boolean
        select:
          items:
            type: string
          type:
            - "null"
            - array
        skip:
          format: int32
          type: integer
        sort:
          items:
            $ref: "#/components/schemas/SortingInfo"
          type:
            - "null"
            - array
        take:
          format: int32
          type: integer
        totalSummary:
          items:
            $ref: "#/components/schemas/SummaryInfo"
          type:
            - "null"
            - array
      type: object
    TesmaLoadResult_CollectedAssetResponse:
      additionalProperties: false
      properties:
        data:
          items:
            $ref: "#/components/schemas/CollectedAssetResponse"
          type:
            - "null"
            - array
          x-is-public: true
        groupCount:
          default: -1
          format: int32
          type: integer
        summary:
          items: {}
          type:
            - "null"
            - array
        totalCount:
          default: -1
          format: int32
          type: integer
      type: object
    ValidationProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          type:
            - "null"
            - string
        errors:
          additionalProperties:
            items:
              type: string
            type: array
          type:
            - "null"
            - object
        instance:
          type:
            - "null"
            - string
        status:
          format: int32
          type:
            - "null"
            - integer
        title:
          type:
            - "null"
            - string
        type:
          type:
            - "null"
            - string
      type: object
    GroupingInfo:
      additionalProperties: false
      properties:
        desc:
          type: boolean
        groupInterval:
          type:
            - "null"
            - string
        isExpanded:
          type:
            - "null"
            - boolean
        selector:
          type:
            - "null"
            - string
      type: object
    SummaryInfo:
      additionalProperties: false
      properties:
        selector:
          type:
            - "null"
            - string
        summaryType:
          type:
            - "null"
            - string
      type: object
    SortingInfo:
      additionalProperties: false
      properties:
        desc:
          type: boolean
        selector:
          type:
            - "null"
            - string
      type: object
    CollectedAssetResponse:
      additionalProperties: false
      properties:
        assetClass:
          type:
            - "null"
            - string
        assetId:
          format: int64
          type:
            - "null"
            - integer
        assetType:
          $ref: "#/components/schemas/CollectedAssetType"
        collectionNumber:
          format: int32
          type: integer
        customerContext:
          $ref: "#/components/schemas/CustomerContextResponse"
        description:
          type:
            - "null"
            - string
        effectiveCollection:
          format: date-time
          type:
            - "null"
            - string
        erasureDate:
          format: date-time
          type:
            - "null"
            - string
        erasureProtocolMetadata:
          $ref: "#/components/schemas/DocumentMetadataResponse"
        erasureState:
          $ref: "#/components/schemas/CollectedAssetErasureState"
        erasureType:
          $ref: "#/components/schemas/CollectedAssetErasureType"
        grading:
          $ref: "#/components/schemas/CollectedAssetGrading"
        hasErasureCertificate:
          format: int64
          type:
            - "null"
            - integer
        id:
          format: int64
          type: integer
        leaseScheduleId:
          format: int32
          type:
            - "null"
            - integer
        manufacturer:
          type:
            - "null"
            - string
        numberOfDestroyedItems:
          format: int32
          type:
            - "null"
            - integer
        numberOfErasedItems:
          format: int32
          type:
            - "null"
            - integer
        plannedAssetId:
          format: int32
          type:
            - "null"
            - integer
        processingDate:
          format: date-time
          type:
            - "null"
            - string
        serialNumber:
          type:
            - "null"
            - string
        serialNumberLAS:
          type:
            - "null"
            - string
        state:
          $ref: "#/components/schemas/CollectedAssetState"
        testState:
          $ref: "#/components/schemas/CollectedAssetTestState"
        transportOrderId:
          format: int32
          type: integer
        transportOrderNumber:
          type:
            - "null"
            - string
      type: object
    CollectedAssetType:
      enum:
        - leasing
        - tradingGoods
        - customerabandonment
      type: string
    CustomerContextResponse:
      additionalProperties: false
      properties:
        customerName:
          type:
            - "null"
            - string
        customerNumber:
          format: int32
          type: integer
        leaseCompany:
          format: int32
          type: integer
        leaseCompanyName:
          type:
            - "null"
            - string
      type: object
    DocumentMetadataResponse:
      additionalProperties: false
      properties:
        acceptanceCertificateId:
          format: int32
          type:
            - "null"
            - integer
        assetId:
          format: int64
          type:
            - "null"
            - integer
        collectionNumber:
          format: int32
          type:
            - "null"
            - integer
        customerContext:
          $ref: "#/components/schemas/CustomerContextResponse"
        documentCategory:
          $ref: "#/components/schemas/DocumentCategory"
        documentId:
          type:
            - "null"
            - string
        documentNumber:
          type:
            - "null"
            - string
        documentType:
          type:
            - "null"
            - string
        fileDate:
          format: date-time
          type:
            - "null"
            - string
        invoiceNumber:
          format: int32
          type:
            - "null"
            - integer
        isDeletable:
          type: boolean
        leaseScheduleId:
          format: int32
          type:
            - "null"
            - integer
        mimeType:
          type:
            - "null"
            - string
        serialNumber:
          type:
            - "null"
            - string
        shortName:
          type:
            - "null"
            - string
        stockId:
          format: int64
          type:
            - "null"
            - integer
      type: object
    CollectedAssetErasureState:
      enum:
        - destroyed
        - erased
        - noVolumePresent
        - noDataErasure
        - planned
      type: string
    CollectedAssetErasureType:
      enum:
        - eraSurePlus
        - eraSure
        - doDCompliant
        - noErasure
      type: string
    CollectedAssetGrading:
      enum:
        - a
        - b
        - c
        - d
      type: string
    CollectedAssetState:
      enum:
        - reserved
        - ok
        - yellowed
        - littleDamage
        - missingParts
        - damaged
        - scrap
        - heavyDamageAndMissingParts
        - notFound
        - untested
        - others
      type: string
    CollectedAssetTestState:
      enum:
        - tested
        - testPlanned
        - onlyAudit
      type: string
    DocumentCategory:
      enum:
        - masterLeaseAgreement
        - supplementalAgreement
        - leaseSchedule
        - carbonZeroCertificate
        - collection
        - erasureProtocol
        - invoice
        - credit
        - additionalDocument
        - report
        - ownDocument
        - scheduledExport
        - oneTimeExport
      type: string
  securitySchemes:
    PersonalAccessToken:
      description: Authentication using the Personal Access Token generated in tesma UI.
      in: header
      name: X-API-KEY
      type: apiKey
```
